---
url: /dash-bio/speck
name: Speck
description:
    "Dash Bio is a component library
    dedicated to visualizing bioinformatics data."
languages:
  - python
  - julia
  - r
  - matlab
thumbnail: 'speck.png'
---
# ![](/assets/images/language_icons/julia_50px.svg) dash_bio.Speck Examples and Reference
See [Speck in action](https://dash-gallery.plotly.host/dash-speck).

## Speck

An example of a default Speck component without any extra properties.

{{example defaultSpeck}}

## Customization

### Molecule Rendering Styles
Change the level of atom outlines, ambient occlusion, and more with the "view" parameter.

{{example speckRender}}

### Scroll To Zoom
Allow for the scroll wheel to control zoom for the molecule.

{{example speckScroll}}

{{reference dash_bio.Speck}}

## Example Data

- https://github.com/plotly/datasets/blob/master/Dash_Bio/Molecular/speck_methane.xyz
- [ChemSpider](http://www.chemspider.com/Chemical-Structure.236.html?rid=8bb7b030-4c76-49b3-8b95-553a69f372ea)
